			if(_FILTER)
				{
				bl_on();
				button_debounce(_FILTER);
// Do not permit storage of user frequency when in TX, service or setup modes.
				if(delay_time)					// ****** PRIMARY Function ******
					{
					if(lcd_mode == NORMAL_DISPLAY)
						{
						if((eeprom.defval.mode[vfo_idx] == CWR) && (eeprom.defval.CW_CWR_Swap == ON))
							{										// If in CWR mode and CW/CWR Swap is On, go back to CW
							if(sub_page0) dsp2_ctr = set_mode_blink();// Initialise the mode blink counter if we are displaying a measurement page.

							eeprom.defval.mode[vfo_idx] = CW;		// reset the mode to CW,

							if(eeprom.defval.cw_annunciation) cw_status = 0x0011;
							else beep(HZ587_31, cal.calval.beep_len);// Indicate we have seen the button pushed,
							}
						else
							{
							if(sub_page0) dsp1_ctr = set_mode_blink();// Initialise the filter blink counter if we are displaying a measurement page.

							increment_and_check(&eeprom.defval.filter, 3);

							if(eeprom.defval.cw_annunciation) cw_status = 0x0012;
							else beep(status_beep[eeprom.defval.filter], cal.calval.beep_len);
							}
						}
					else if((lcd_mode == CONFIG_DISPLAY) && (sub_page1 == 1))
						{
						increment_and_check(&eeprom.defval.filter, 4);
						beep_number = eeprom.defval.filter;
						}
					}
				else							// ****** SECONDARY Function ******
					{
					if(lcd_mode == NORMAL_DISPLAY)
						{
						if(eeprom.defval.Band_SW == _DEFAULT)		// If in the DEFAULT mode...
							{
							user_band_prompt = not_in_user_mode;
							beep(HZ698_45, cal.calval.beep_len);
							}
						else if((eeprom.defval.Band_SW == _USER_A) || (eeprom.defval.Band_SW == _USER_B))	// Or, if in either USER-A/B mode...
							{
							if(!band_in_use)
								{
								user_band_prompt = out_of_band;
								beep(HZ698_45, cal.calval.beep_len);
								}
							else
								{
								eeprom.defval.vfo[band_in_use + 29] = eeprom.defval.vfo[vfo_idx];
								eeprom.defval.mode[band_in_use + 29] = eeprom.defval.mode[vfo_idx];
								sprintf(lcdpbuff, save_to_band, band[band_in_use]);
								user_band_prompt = lcdpbuff;
								changed_flag = TRUE;
								beep(HZ466_85, cal.calval.beep_len * 5);
								}
							}
						else										// Otherwise, must be in the LOCKED mode.
							{
							user_band_prompt = user_mem_locked;
							beep(HZ698_45, cal.calval.beep_len);
							}
						display_line(LINE1, user_band_prompt);
						}
					}
				wait_FILTER_rls(FALSE);								// Wait for FILTER button to be released
				debounce();											// Button debounce and encoder reset
				}

